#!/usr/bin/env node
import inquirer from "inquirer";
import { createPage } from "./src/create-page.mjs";
import { createComponent } from "./src/create-component.mjs";
import { createModel } from "./src/create-model.mjs";

!(async function () {
  const { type } = await inquirer.prompt([
    {
      type: "list",
      name: "type",
      message: "请选择您想创建的模块类型",
      choices: ["page", "component", "model"],
    },
  ]);

  if (type === "page") {
    createPage();
  }

  if (type === "model") {
    createModel();
  }

  if (type === "component") {
    createComponent();
  }
})();
