import path from "path";
import { fileURLToPath } from "url";

export const PATH_URL = fileURLToPath(import.meta.url);
export const BASE_URL = process.cwd();
export const SRC_URL = path.join(BASE_URL, "src/");
export const VIEW_URL = path.join(BASE_URL, "src/views/");
export const MODEL_URL = path.join(BASE_URL, "src/models");
export const TEMPLATE_URL = path.join(PATH_URL, "../../template");

export const removeSlash = (str) => str.replace(/^\/|\/$/g, "");

export default path;
